<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<!--
File: signbank.xslt

Transforms data in an ELEMENT based MSDSO grammar 
into the FMPXMLRESULT grammar, suitable for import.
-->
       
	<xsl:template match="/*">
		<FMPXMLRESULT xmlns="http://www.filemaker.com/fmpxmlresult">
			<ERRORCODE>0</ERRORCODE>
			<PRODUCT BUILD="" NAME="" VERSION=""/>
			<DATABASE DATEFORMAT="M/d/yyyy" LAYOUT="" NAME="" RECORDS="{count(/*/*)}" TIMEFORMAT="h:mm:ss a"/>
			<METADATA>
				<xsl:for-each select="/*/*[position()=1]/*">
					<FIELD>
						<xsl:attribute name="EMPTYOK">YES</xsl:attribute>
						<xsl:attribute name="MAXREPEAT">1</xsl:attribute>
						<xsl:attribute name="NAME"><xsl:value-of select="name()"/></xsl:attribute>
						<xsl:attribute name="TYPE">TEXT</xsl:attribute>
					</FIELD>
				</xsl:for-each>
			</METADATA>
			<RESULTSET>
				<xsl:attribute name="FOUND"><xsl:value-of select="count(child::*)"/></xsl:attribute>
				<xsl:for-each select="child::*">
					<ROW>
						<xsl:attribute name="MODID">0</xsl:attribute>
						<xsl:attribute name="RECORDID">0</xsl:attribute>
						<xsl:for-each select="child::*">
							<COL>
								<DATA>
									<xsl:value-of select="."/>
								</DATA>
							</COL>
						</xsl:for-each>
					</ROW>
				</xsl:for-each>
			</RESULTSET>
		</FMPXMLRESULT>
	</xsl:template>
</xsl:stylesheet>
